Bug 55529 - .doc and .docx triggers X process 100% CPU usage
Summary: .doc and .docx triggers X process 100% CPU usage
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:emf
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-10-02 09:52 UTC by Germano Massullo
Modified: 2018-12-05 03:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File one (39.39 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-10-02 09:52 UTC, Germano Massullo
Details
File two (52.37 KB, application/msword)
2012-10-02 09:53 UTC, Germano Massullo
Details
Screenshot opening 'File two' (229.53 KB, image/png)
2012-12-29 17:39 UTC, Jorendc
Details
Seperated WMF (file 1) causing issue (260.89 KB, image/x-wmf)
2016-12-03 16:03 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Germano Massullo 2012-10-02 09:52:16 UTC
Created attachment 67982 [details]
File one

I found out that the drawing on top of first page in these two files, triggers X process using 100% CPU usage.
I tested on Intel graphics card and nVidia Geforce GTX260 with propertary drivers

OS:
Fedora 17 KDE 64 & 32bit
Comment 1 Germano Massullo 2012-10-02 09:53:11 UTC
Created attachment 67983 [details]
File two
Comment 2 Germano Massullo 2012-10-02 13:01:07 UTC
Other problem: if you print or create a pdf file from these documents, the drawing will be partial
Comment 3 Jorendc 2012-12-29 17:37:49 UTC
I can confirm a higher CPU load while scrolling up and down to hide and unhide the first image in 'File one'. I can't confirm a 100%CPU usage (CPU = Intel Core I5-2300 CPU @ 2.8 GHz x 4)

I can't confirm this in the second file 'File two', because I can't open it correctly. I get a 'Text Import' window. I'll upload a screenshot.
Comment 4 Jorendc 2012-12-29 17:39:45 UTC
Created attachment 72266 [details]
Screenshot opening 'File two'

Can you also please specify what version of LibreOffice you use?

I tested it with Version 4.1.0.0.alpha0+ (Build ID: 6306926e038fd7ad49c0089ebce8be0f0f8da3c)
Comment 5 A (Andy) 2014-10-18 11:40:22 UTC
I can reproduce that it takes very long to load the file one and LO hangs up when trying to move the pictures.

Reproducible with LO 4.3.2.2 (Win 8.1, Intel i3)
Comment 6 QA Administrators 2015-12-20 16:21:39 UTC Comment hidden (obsolete)
Comment 7 Germano Massullo 2015-12-22 15:25:19 UTC
Can reproduce the bug with "File one" attachment: soffice.bin goes to 100% CPU usage

libreoffice-writer-5.0.3.2-12.fc23.x86_64
Fedora 23 64bit
Comment 8 Germano Massullo 2015-12-22 15:26:46 UTC
(In reply to QA Administrators from comment #6)
> 
> Please DO NOT
> 
> Update the version field

I updated it because previously was setted as "unspecified"
Comment 9 Dimitri Bouron 2016-12-02 16:24:23 UTC
I can reproduce the problem with File one. A lot of CPU usage when you scroll and it takes time to open.
Opening is done with File two, but takes 3/4 seconds at 100% CPU usage.

Fedora 24 x86_64
LibreOffice 5.2.2.2
AMD FX-8350
Comment 10 Telesto 2016-12-03 16:03:17 UTC
Created attachment 129284 [details]
Seperated WMF (file 1) causing issue
Comment 11 QA Administrators 2017-12-04 09:54:04 UTC Comment hidden (obsolete)
Comment 12 Germano Massullo 2017-12-04 11:13:45 UTC
Confirming on 
Version: 5.4.3.2
Build ID: 5.4.3.2-1.fc27
Thread CPU: 4; SO: Linux 4.13; Resa interfaccia: predefinito; VCL: gtk3; 
Local Version: it-IT (it_IT.UTF-8); Calc: group

NOT(?) confirming on (read details below)
Version: 6.0.0.0.alpha1
Build ID: c1d1f859b268f650143d48f294999cda0fa57350
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: x11; 
Locale: it-IT (it_IT.UTF-8); Calc: group
The page scroll is a LOT smoother than Libreoffice 5.x, so I would say that Libreoffice 6.0 is not affected, but there are still some little page scrolling slowdowns, so you should check them
Comment 13 QA Administrators 2018-12-05 03:48:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug